/* Google Font CDN Link */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
@import "./variable.css";

html{
  scroll-behavior: smooth;
}

body{
  background-color: rgb(245, 245, 245);
}

.container{
  width: 90%;
  margin-top: 50px;
  padding: 20px 60px 30px 40px;
  position: relative;
}

.form-contact{
  z-index: -1000;
}

.container .content .left-side{
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 15px;
  position: relative;
}
.content .left-side::before{
  content: '';
  position: absolute;
  height: 70%;
  width: 2px;
  right: -15px;
  top: 50%;
  transform: translateY(-50%);
  background: #afafb6;
}
.content .left-side .details{
  margin: 14px;
  text-align: center;
}
.content .left-side .details i{
  font-size: 30px;
  color: var(--primary-color);
  margin-bottom: 10px;
}
.content .left-side .details .topic{
  font-size: 18px;
  font-weight: 500;
}
.content .left-side .details .text-one,
.content .left-side .details .text-two{
  font-size: 14px;
  color: #afafb6;
}

#logo-pishtaz-nikdasht{
  margin-top: 100px;
  width: 120px;
  height: 40px;
  text-align: center;
}

.container .content .right-side{
  width: 100%;
  margin-left: 50px;
}

 .topic-text{
  font-size: 20px;
  font-weight: 500;
  color: var(--primary-color);
}

.topic-text-desc{
  font-size: 16px;
  font-weight: 500;
  line-height: 40px;
}

#type-request{
  background: #e7e7e7;
  border: 0;
  padding: 0 15px;
  color: #444;
  border-radius: 5px;
}

.right-side .input-box{
  height: 50px;
  width: 100%;
  margin: 12px 0;
}
.right-side .input-box input,
.right-side .input-box textarea{
  height: 100%;
  width: 100%;
  border: none;
  outline: none;
  font-size: 16px;
  background: #e7e7e7;
  border-radius: 6px;
  padding: 0 15px;
  resize: none;
  line-height: 30px;
}
.right-side .message-box{
  min-height: 165px;
}
.right-side .input-box textarea{
  padding-top: 6px;
}
.right-side .button{
  margin-top: 12px;
}
.right-side .button input[type="submit"]{
  color: white;
  font-size: 16px;
  outline: none;
  border: none;
  width: 90px;
  height: 40px;
  border-radius: 6px;
  background: var(--primary-color);
  cursor: pointer;
  transition: all 0.3s ease;
  align-items: center;
  justify-items: end;
  font-weight: bold;
}
/* .button input[type="button"]:hover{
  background: var(--primary-color);
  color: rgb(0, 0, 0,0.8);
  border: 1px solid var(--primary-color);
  cursor: pointer;
} */

#submit:hover{
  background: var(--primary-color);
  color: rgb(0, 0, 0,0.8);
  border: 1px solid var(--primary-color);
  cursor: pointer;
}

@media (max-width: 950px) {
  .container{
    width: 90%;
    padding: 30px 40px 40px 35px ;
  }
  .container .content .right-side{
   width: 75%;
   margin-left: 55px;
}
}
@media (max-width: 820px) {
  .container{
    margin: 40px 0;
    height: 100%;
  }
  .container .content{
    flex-direction: column-reverse;
  }
 .container .content .left-side{
   width: 100%;
   flex-direction: row;
   margin-top: 40px;
   justify-content: center;
   flex-wrap: wrap;
 }
 .container .content .left-side::before{
   display: none;
 }
 .container .content .right-side{
   width: 100%;
   margin-left: 0;
 }
}

p{
    font-size: 14px;
}

#question-link{
  color: var(--primary-color);
}

body{
  width: 100%;
}

.card{
  width: 100%;
  margin-bottom: 5px;
  border: none;
  outline: none;
  font-size: 14px;
  background: #F0F1F8;
  border-radius: 6px;
  padding: 0 15px;
  resize: none;
}

.card div{
  background: #F0F1F8;
}

.title{
  color: #222;
  font-size: 15px;
}

.title:hover{
  color: var(--primary-color);
  text-decoration: none;
  cursor: pointer;
}

.collapse{
  color: #222;
}

.collapsible-link {
  width: 100%;
  position: relative;
  text-align: right;
}

.collapsible-link::before {
  content: "\f107";
  position: absolute;
  top: 50%;
  left: 0.8rem;
  transform: translateY(-50%);
  display: block;
  font-family: "FontAwesome";
  font-size: 1.1rem;
}

.collapsible-link[aria-expanded="true"]::before {
  content: "\f106";
}

.style{
  line-height: 35px;
}

footer{
  padding: 10px;
}

.address-title{
  line-height:35px;
  text-align: justify;
  text-justify: inter-word;
  font-size: 15px;
}

.address-description{
  line-height:35px;
  font-size: 15px;
  color: #555;
}

.address-links
{
  padding-left:0;
  list-style:none;
}
.address-links li
{
  display:block
}
.address-links a
{
  color:#444;
  transition-timing-function: ease-in-out;
  transition-duration: 160ms;
  transition-property: all;
}
.address-links .trans:hover
{
  text-decoration:none;
  display: inline-block;
  transform: translateX(-0.6rem);
}

.address-links .address:hover
{
  text-decoration:none;
  display: inline-block;
  color: var(--primary-color);
}

.address-links a:active,.address-links a:focus
{
  color:rgb(218, 218, 218);
  text-decoration:none;
}
.address-links.inline li
{
  display:inline-block
}

@media (min-width: 800px) {
  .contact{
    margin-top: 10px;
    margin-bottom: 70px;
    background-color: #e7e7e7;
    border-radius: 6px;
    padding: 24px 8px 8px 24px;
  }

  .container .content{
    width: 70%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .contact a{
    text-align: center;
  }
}

@media (max-width: 800px) {
  .contact{
    margin-top: 10px;
    margin-bottom: 50px;
    background-color: #e7e7e7;
    border-radius: 6px;
    /* width: 500px; */
  }

  .container .content{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

#questions{
  height: 30px;
}

@media(min-width:1000px){
  #googleMap{
    margin-left: 50px;
    margin-right: 50px;
    margin-top: 40px;
    margin-bottom: -30px;
  }
}

@media(max-width:1000px){
  #googleMap{
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: -30px;
  }

  .container-fluid {
    width: 100%;
    padding-right: 0px !important; 
     padding-left: 0px !important;
    margin-right: auto;
    margin-left: auto;
}

.contact-us-box{
  width: 100% !important;
  padding-right: 15px !important;
}
}

iframe{
  filter: drop-shadow(2px 2px 10px #777);
  border-radius: 70px !important;
  filter: drop-shadow(2px 2px 4px #777); 
  overflow: hidden;
}

#parent-modal{
  width: 100%;
  height: 100vh;
  display: none;
  justify-content: center;
  position: absolute;
  top: 150px;
  z-index: 100;
}

.dialog{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 400px;
  height: 150px;
  background-color: #f1f1f1;
  border-radius: 10px;
  /* border: 1px solid rgb(26, 25, 25); */
  box-shadow: 0 2px 15px 2px;
  position: absolute;
  top: 520px;
  left: 130px;
}

.btn-close{
  color: white;
  font-size: 16px;
  outline: none;
  border: none;
  width: 90px;
  height: 40px;
  border-radius: 6px;
  background: var(--primary-color);
  cursor: pointer;
  transition: all 0.3s ease;
  align-items: center;
  justify-items: end;
  font-weight: bold;
  margin-top: 30px;
}

#mobile{
  text-align: end;
}

#request-dialog{
  display: none;
}

#name-dialog{
  display: none;
}

#mobile-dialog{
  display: none;
}

#email-dialog{
  display: none;
}

#message-dialog{
  display: none;
  height: 500px;
}

#response-dialog{
  display: none;
}

.box {
  background-color: rgba(207, 207, 207, 0.8);
  border-radius: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin: 20px 0 0 0;
  height: fit-content;
}

.box__title{
  font-size: 15px;
  color: #444;
  margin-top: 10px;
  margin-right: 10px;
}

.persons{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
}

.box__person{
  display: flex;
  align-items: center;
  background-color: rgba(231, 231, 231, 0.8);
  border-radius: 10px;
  padding: 15px 5px;
  margin-top: 10px;
  margin-right: -12px;
  height: 60px;
}

.box__person:hover {
  cursor: pointer;
  filter: drop-shadow(5px 5px 5px rgba(182, 182, 182, 0.8));
}

.box__image {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  margin: 0 20px 0 5px;
}

.box__text {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-right: 20px;
  margin-top: 15px;
}

.box__text-name{
  font-size: 13px;
  color: #444;
  text-align: center;
}

.box__text-description a{
  font-size: 14px;
  color: #555;
  margin-top: 10px;
}

.box__text-description a:hover {
  color: var(--primary-color);
  text-decoration: none;
}